Gemfile 787 Bytes
Newer Older
o@immerda.ch's avatar
o@immerda.ch committed
1
2
3
source 'https://rubygems.org'
git_source(:github) { |repo| "https://github.com/#{repo}.git" }

4
ruby '~> 2.5'
o@immerda.ch's avatar
o@immerda.ch committed
5
6
7
8

# Bundle edge Rails instead: gem 'rails', github: 'rails/rails'
gem 'rails', '~> 5.2.0'

9
gem 'rucaptcha'
10
gem 'jsobfu'
mh's avatar
mh committed
11

o@immerda.ch's avatar
o@immerda.ch committed
12
13
14
15
# Windows does not include zoneinfo files, so bundle the tzinfo-data gem
gem 'tzinfo-data', platforms: [:mingw, :mswin, :x64_mingw, :jruby]

gem 'rest-client'
o@immerda.ch's avatar
o@immerda.ch committed
16
gem 'zxcvbn-ruby', require: 'zxcvbn'
o@immerda.ch's avatar
o@immerda.ch committed
17

mh's avatar
mh committed
18
19
20
# Use Uglifier as compressor for JavaScript assets
# but do not load it in production (aka. passenger, as
# we should have all js pre-compiled by then)
o@immerda.ch's avatar
o@immerda.ch committed
21
22
23
24
gem 'uglifier', '>= 1.3.0',
  require: (ENV['RAILS_ENV'].to_s.downcase != 'production' ||
            ENV['PRECOMPILE'].to_s == '1')

o@immerda.ch's avatar
o@immerda.ch committed
25
group :development do
o@immerda.ch's avatar
o@immerda.ch committed
26
  gem 'puma'
o@immerda.ch's avatar
o@immerda.ch committed
27
28
  gem 'listen', '>= 3.0.5', '< 3.2'
end